Page MenuHomeFreeBSD

Simplify some of the logic for external GCC toolchain packages.
ClosedPublic

Authored by jhb on Nov 26 2018, 9:55 PM.
Tags
None
Referenced Files
F78457205: D18349.diff
Sun, Mar 3, 4:02 PM
Unknown Object (File)
Jan 14 2024, 5:03 PM
Unknown Object (File)
Dec 20 2023, 3:46 AM
Unknown Object (File)
Dec 9 2023, 5:49 AM
Unknown Object (File)
Oct 28 2023, 6:29 PM
Unknown Object (File)
Oct 28 2023, 6:28 PM
Unknown Object (File)
Oct 28 2023, 6:28 PM
Unknown Object (File)
Oct 28 2023, 6:16 PM
Subscribers

Details

Summary
  • Always define BU_PREFIX as GCC_TARGET if needed. This was already effectively true, but BU_PREFIX was just being set to the same value in the case that GCC_TARGET wasn't defined. This is simpler and avoids duplicating some logic.
  • Simplify amd64-gcc by not defining GCC_TARGET and BU_PREFIX in that port but instead replacing "amd64" with "x86_64" in the devel/powerpc64-gcc Makefile. This matches what base/gcc does.
  • Remove FREEBSD_EXTENSION now that it is no longer needed.
Test Plan
  • built amd64-xtoolchain-gcc and verified it could still build world (modulo the fact that world doesn't currently build due to various warnings)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jhb marked an inline comment as done.Nov 26 2018, 9:57 PM
jhb added inline comments.
devel/powerpc64-gcc/Makefile
32 ↗(On Diff #51139)

This could perhaps use TARGETARCH instead of repeating the similar expression.

This revision is now accepted and ready to land.Dec 28 2018, 8:06 PM
This revision was automatically updated to reflect the committed changes.